# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
# GPL 2013

from __future__ import division

import os

from twisted.internet import reactor
from twisted.web.server import Site

import api
from backend import Backend
from server import Server
from version import __version__, __appname__


def main(config):
    base = os.path.abspath(os.path.dirname(__file__))
    backend = Backend(config)
    root = Server(base, backend)
    site = Site(root)
    port = int(backend.get('port', '15550'))
    interface = backend.get('interface', '127.0.0.1')
    print 'listening on http://%s:%s' % (interface, port)
    reactor.listenTCP(port, site, interface=interface)
    reactor.run()

