# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
# GPL 2013

from server import actions, json_response
from utils import selectFolder

def init(backend, site, data):
    response = {}
    return json_response(response)
actions.register(init, cache=False)

def echo(backend, site, data):
    return json_response(data)
actions.register(echo, cache=False)

def site(backend, site, data):
    return json_response({'site': site})
actions.register(site, cache=False)

def config(backend, site, data):
    s = backend.site(site)
    for key in ('username', 'password', 'url', 'extensions'):
        if key in data:
            s.config[key] = data[key]
    s.save_config()
    s.connect()
    return json_response({})
actions.register(config, cache=False)

def setFolder(backend, site, data):
    s = backend.site(site, False)
    if s:
        path = selectFolder()
        if path and s.config['path'] != path:
            s.config['path'] = path
            s.save_config()
    return json_response({})
actions.register(setFolder, cache=False)

def sync(backend, site, data):
    backend.site(site).sync()
    return json_response({})
actions.register(sync, cache=False)

def addRequests(backend, site, data):
    s = backend.site(site, False)
    if s:
        s.add_requests(data['ids'])
        return json_response({})
    else:
        return json_response({'error': 'configure first'})
actions.register(addRequests, cache=False)

def info(backend, site, data):
    s = backend.site(site, False)
    if s:
        if 'id' in data:
            sha1 = data['id'].lower()
            return json_response(backend.t.info(sha1))
        else:
            return json_response(backend.t.info())
    else:
        return json_response({'error': 'configure first'})
actions.register(info, cache=False)

def seedRequests(backend, site, data):
    s = backend.site(site, False)
    if s:
        s.seed_requests()
        return json_response({})
    else:
        return json_response({'error': 'configure first'})
actions.register(seedRequests, cache=False)
