# setup.py
# -*- coding: UTF-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
from distutils.core import setup
import os

def get_version():
    from lsd.version import __version__
    info = os.path.join(os.path.dirname(__file__), '.git')
    if os.path.exists(info):
        rev = None
        if rev:
            return '%s.%s' % (__version__, rev)
    return '%s'%__version__

def get_package_data():
    package_data = []
    for root, folders, files in os.walk('lsd/static'):
        for f in files:
            package_data.append(os.path.join(root, f)[len('lsd/'):])
    return package_data

setup(name="lsd",
    version=get_version() ,
    scripts=[
        'bin/lsd',
    ],
    packages=[
        'lsd',
    ],
    package_data = {
        'lsd': get_package_data(),
    },
    author="j",
    author_email="j@mailb.org",
    description=u"lsd allows users to share files with peers",
    classifiers = [
        'Development Status :: 4 - Beta',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
    ],
)

